% Function which return the F vector

function F = returnf(x, xdata)

K01 = x(1);
K02 = x(2);
K03 = x(3);
n = length(xdata)/2;
m = length(xdata);
a = 1/(2*K01)*(K02+sqrt(K02^2-4*K03*K01));
b = 1/(2*K01)*(K02-sqrt(K02^2-4*K03*K01));

ab = sqrt(K02^2-4*K03*K01);
F = log(xdata(1:n))+ 1/((ab))*log((1+a*xdata(n+1:m))./(1+b*xdata(n+1:m)));